uk.gov.hmrc.play.fsm

# PersistentJourneyService

###
Related Doc: package fsm

#### trait PersistentJourneyService extends JourneyService

Linear Supertypes
JourneyService, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PersistentJourneyService
2. JourneyService
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type StateAndBreadcrumbs = (State, List[State])

   Definition Classes
     JourneyService

### Abstract Value Members

1. #### abstract def fetch(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[Option[StateAndBreadcrumbs]]

   Attributes
     protected

2. #### abstract val model: JourneyModel

   Definition Classes
     JourneyService

3. #### abstract def save(state: StateAndBreadcrumbs)(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[StateAndBreadcrumbs]

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(transition: Transition)(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[StateAndBreadcrumbs]

   Applies transition to the current state and returns new state or error

   Applies transition to the current state and returns new state or error

   Definition Classes
     PersistentJourneyService → JourneyService

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def cleanBreadcrumbs(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[List[State]]

   Cleans breadcrumbs from the session and returns removed list

   Cleans breadcrumbs from the session and returns removed list

   Definition Classes
     PersistentJourneyService → JourneyService

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def currentState(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[Option[StateAndBreadcrumbs]]

   Return current state (if any) and breadcrumbs

   Return current state (if any) and breadcrumbs

   Definition Classes
     PersistentJourneyService → JourneyService

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def stepBack(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[Option[StateAndBreadcrumbs]]

    Step back to previous state (if any) and breadcrumbs

    Step back to previous state (if any) and breadcrumbs

    Definition Classes
      PersistentJourneyService → JourneyService

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from JourneyService

### Inherited from AnyRef

### Inherited from Any

### Ungrouped